This is a fix to avoid conflict with the following rok-modules.

  • mod_roktabs
    file: modules/mod_roktabs/helper.php
  • mod_roknewspager
    file: modules/mod_roknewspager/lib/helper.php
  • mod_roknewsflash
    file:  modules/mod_roknewsflash/helper.php
In each of these files, around line 17 find this line:
 


require_once (JPath::clean(JPATH_SITE.'/components/com_content/models/articles.php'));

replace with:

//avoid conflict if loaded by other extension
if(!class_exists('ContentModelArticles', false)){	
	require_once(JPATH_ROOT.DS.'components'.DS.'com_content'.DS.'models'.DS.'articles.php');
}

 

 
Follow Us On Twitter
spicy-sacerdotal